## org.jboss.security
Interface AuthenticationManager

All Known Subinterfaces:
  EJBSecurityManager, SecurityDomain, SubjectSecurityManager

public interface AuthenticationManager

The SecurityManager is responsible for validating credentials associated with principals.

Version:
  $Revision: 1.1.2.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`boolean` `isValid(java.security.Principal principal, java.lang.Object credential)` The isValid method is invoked to see if a user identity and associated credentials as known in the operational environment are valid proof of the user identity.

Method Detail

### isValid

    public boolean isValid(java.security.Principal principal,
                           java.lang.Object credential)

  The isValid method is invoked to see if a user identity and associated credentials as known in the operational environment are valid proof of the user identity.
  Parameters:
    `principal,` - the user identity in the operation environment
    `credential,` - the proof of user identity as known in the operation environment
  Returns:
    true if the principal, credential pair is valid, false otherwise.

Copyright © 2000 The JBoss Organization. All Rights Reserved.